# Ogre::EdgeListBuilder::Geometry Struct Reference

A set of indexed geometry data. More...

`#include <OgreEdgeListBuilder.h>`

List of all members.

## Public Attributes

size_t | vertexSet
size_t | indexSet
const IndexData * | indexData
RenderOperation::OperationType | opType

## Detailed Description

A set of indexed geometry data.

Definition at line 178 of file OgreEdgeListBuilder.h.

## Member Data Documentation

const IndexData* Ogre::EdgeListBuilder::Geometry::indexData

| Definition at line 181 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeListBuilder::Geometry::indexSet

| Definition at line 180 of file OgreEdgeListBuilder.h. Referenced by Ogre::EdgeListBuilder::geometryLess::operator()().

RenderOperation::OperationType Ogre::EdgeListBuilder::Geometry::opType

| Definition at line 182 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeListBuilder::Geometry::vertexSet

| Definition at line 179 of file OgreEdgeListBuilder.h. Referenced by Ogre::EdgeListBuilder::geometryLess::operator()().

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:36:35 2005